INCLUDE_EIGEN	= -I/usr/local/include/eigen3
INCLUDE_OPENGL	= -I/usr/local/include/
INCLUDE_LOCAL	= -I.

LIB_OPENGL_DIR		= -L/usr/local/lib

LIBS_DIR				= $(LIB_OPENGL_DIR)

LIB_OPENGL		= $(LIBS_DIR) -lGL -lGLU -lglut

XLIBS=-lX11
LIBS+= $(LIB_OPENGL)
LIBS+=-lm

INCLUDE_DIR= $(INCLUDE_EIGEN) $(INCLUDE_OPENGL) $(INCLUDE_LOCAL)

ALL_BIN=	eigen01 					\
			eigen02 					\
			eigen03 					\
			eigen04 					\
			eigen05 					\
			exemplo01				\
			exemplo02				\
			exemplo03				\
			exemplo04				\
			exemplo05				\
			exemplo06				\
			exemplo07				\
			exemplo08				\
			exemplo09				\
			exemplo10				\
			135849					\
			135854					\
			135855					\
			135856					\
			135857					\
			Primitivas				\
			calcula_poligono		\
			cubo						\
			gears						\
			helloworld				\
			incremento				\
			opengl01					\
			reta						\
			simple


ALL_OBJ=	eigen01.o 						\
			eigen02.o 						\
			eigen03.o 						\
			eigen04.o 						\
			eigen05.o 						\
			exemplo01.o						\
			exemplo02.o						\
			exemplo03.o						\
			exemplo04.o						\
			exemplo05.o						\
			exemplo06.o						\
			exemplo07.o						\
			exemplo08.o						\
			exemplo09.o						\
			exemplo10.o						\
			135849.o							\
			135854.o							\
			135855.o							\
			135856.o							\
			135857.o							\
			Primitivas.o					\
			calcula_poligono.o			\
			cubo.o							\
			gears.o							\
			helloworld.o					\
			incremento.o					\
			opengl01.o						\
			reta.o							\
			simple.o	

ALL_TESTE=teste teste.o

.c.o:

	clang -o $@ -c $< $(INCLUDE_DIR)

.cpp.o:

	clang++ -o $@ -c $< $(INCLUDE_DIR)

all: $(ALL_BIN) $(ALL_OBJ)

eigen01: eigen01.o

	clang++ -o $@ $> $(INCLUDE_DIR)

eigen02: eigen02.o

	clang++ -o $@ $> $(INCLUDE_DIR)

eigen03: eigen03.o

	clang++ -o $@ $> $(INCLUDE_DIR)

eigen04: eigen04.o

	clang++ -o $@ $> $(INCLUDE_DIR)

eigen05: eigen05.o

	clang++ -o $@ $> $(INCLUDE_DIR)

exemplo01: exemplo01.o

	clang -o $@ $> $(INCLUDE_DIR) $(LIBS)

exemplo02: exemplo02.o

	clang -o $@ $> $(INCLUDE_DIR) $(LIBS)

exemplo03: exemplo03.o

	clang -o $@ $> $(INCLUDE_DIR) $(LIBS)

exemplo04: exemplo04.o

	clang -o $@ $> $(INCLUDE_DIR) $(LIBS)

exemplo05: exemplo05.o

	clang -o $@ $> $(INCLUDE_DIR) $(LIBS)

exemplo06: exemplo06.o

	clang -o $@ $> $(INCLUDE_DIR) $(LIBS)

exemplo07: exemplo07.o

	clang -o $@ $> $(INCLUDE_DIR) $(LIBS)

exemplo08: exemplo08.o

	clang -o $@ $> $(INCLUDE_DIR) $(LIBS)

exemplo09: exemplo09.o

	clang -o $@ $> $(INCLUDE_DIR) $(LIBS)

exemplo10: exemplo10.o

	clang -o $@ $> $(INCLUDE_DIR) $(LIBS)

135849:	135849.o

	clang -o $@ $> $(INCLUDE_DIR) $(LIBS)

135854: 135854.o

	clang -o $@ $> $(INCLUDE_DIR) $(LIBS)

135855: 135855.o

	clang -o $@ $> $(INCLUDE_DIR) $(LIBS)

135856: 135856.o

	clang -o $@ $> $(INCLUDE_DIR) $(LIBS)

135857: 135857.o

	clang -o $@ $> $(INCLUDE_DIR) $(LIBS)

Primitivas: Primitivas.o

	clang -o $@ $> $(INCLUDE_DIR) $(LIBS)

calcula_poligono: calcula_poligono.o

	clang -o $@ $> $(INCLUDE_DIR) $(LIBS)

cubo: cubo.o

	clang -o $@ $> $(INCLUDE_DIR) $(LIBS)

gears: gears.o

	clang -o $@ $> $(INCLUDE_DIR) $(LIBS)

helloworld: helloworld.o

	clang -o $@ $> $(INCLUDE_DIR) $(LIBS)

incremento: incremento.o

	clang -o $@ $> $(INCLUDE_DIR) $(LIBS)

opengl01: opengl01.o

	clang -o $@ $> $(INCLUDE_DIR) $(LIBS)

reta: reta.o

	clang -o $@ $> $(INCLUDE_DIR) $(LIBS)

simple: simple.o

	clang -o $@ $> $(INCLUDE_DIR) $(LIBS)

teste2: teste2.o

	clang -o $@ $> $(INCLUDE_DIR) $(LIBS)


clean:

	@- rm -rf $(ALL_BIN)
	@- rm -rf $(ALL_OBJ)
	@- rm -rf $(ALL_TESTE)

teste.o: teste.cpp

	@- echo ">> teste.o teste.cpp <<"
	@- echo "@ = " $@
	@- echo "< = " $<
	@- echo "> = " $>
	@- touch teste.o

teste: teste.o

	@- echo ">> teste teste.o <<"
	@- echo "@ = " $@
	@- echo "< = " $<
	@- echo "> = " $>
	@- touch teste
